
def predict_shap_values(model, X, feature_names=None):
    import shap
    import numpy as np
    
    # Create a SHAP explainer for the model
    explainer = shap.TreeExplainer(model)
    
    # Compute SHAP values for the data
    shap_values = explainer.shap_values(X)
    
    # If feature names are provided, use them to label the SHAP values
    if feature_names is not None:
        shap.initjs()
        shap.force_plot(explainer.expected_value[0], shap_values[0], X[0], feature_names=feature_names)
    
    return shap_values



